// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"spaceofcheng/services/controllers"

	"github.com/astaxie/beego"
)

func init() {
	prefix := beego.AppConfig.String("api::prefix")

	ns := beego.NewNamespace(prefix,
		// 解决跨域时 先发送 options 问题
		beego.NSRouter("*", &controllers.BaseController{}, "options:Options"),

		// 通用需要鉴权路由
		getCommonRoutes(),

		// 微信路由
		getWechatRoutes(),

		// 不需要鉴权的路由
		getGuestRoutes(),
	)

	beego.AddNamespace(ns)
}
